CREATE TABLE DVE_RESTAURANTS 
(
  ID NUMBER NOT NULL 
, NAME VARCHAR2(30 BYTE) NOT NULL 
, COUNTRY_ID NUMBER NOT NULL 
, CONSTRAINT DVE_RESTAURANTS_PK PRIMARY KEY 
  (
    ID 
  )
  ENABLE 
);

ALTER TABLE DVE_RESTAURANTS
ADD CONSTRAINT DVE_RESTAURANTS_UK1 UNIQUE 
(
  NAME 
)
ENABLE;

ALTER TABLE DVE_RESTAURANTS
ADD CONSTRAINT DVE_RESTAURANTS_COUNTRIES_FK1 FOREIGN KEY
(
  COUNTRY_ID 
)
REFERENCES DVE_COUNTRIES
(
  ID 
)
ENABLE;

INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('1', 'The Frying Dutchman', '1');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('2', 'The Cheesecake Factory', '1');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('3', 'The Frosty Palace', '2');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('4', 'Dorsia', '3');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('5', 'Toms Restaurant', '3');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('6', 'Jackrabbit Slims', '3');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('7', 'Gusteaus', '4');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('8', 'Texas Chili Parlor', '5');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('9', 'Big Kahuna Burger', '5');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('10', 'Bronto Burger', '5');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('11', 'Teriyaki Donut', '6');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('12', 'Nuovo Vesuvio', '7');
INSERT INTO "DVT_USER"."DVE_RESTAURANTS" (ID, NAME, COUNTRY_ID) VALUES ('13', 'Chotchkies', '7');

