CREATE TABLE DVE_REVENUE 
(
  ID NUMBER NOT NULL 
, RESTAURANT_ID NUMBER NOT NULL 
, REVENUE NUMBER(10, 0) DEFAULT 0 NOT NULL 
, COSTS NUMBER(10, 0) DEFAULT 0 NOT NULL
, CONSTRAINT DVE_REVENUE_PK PRIMARY KEY (ID) ENABLE 
);

ALTER TABLE DVE_REVENUE
ADD CONSTRAINT DVE_REVENUE_RESTAURANTS_FK1 FOREIGN KEY
(
  RESTAURANT_ID 
)
REFERENCES DVE_RESTAURANTS
(
  ID 
)
ENABLE;

Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (1,1,30000,20000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (2,2,20000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (3,3,30000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (4,4,15000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (5,5,25000,20000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (6,6,30000,0);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (7,7,10000,0);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (8,8,20000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (9,9,30000,5000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (10,10,15000,15000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (11,11,20000,5000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (12,12,30000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (13,13,5000,0);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (14,1,20000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (15,2,10000,0);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (16,3,50000,30000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (17,4,10000,5000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (18,5,30000,25000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (19,6,40000,30000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (20,7,0,0);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (21,8,10000,1000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (22,9,50000,30000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (23,10,15000,10000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (24,11,25000,20000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (25,12,80000,30000);
Insert into DVT_USER.DVE_REVENUE (ID,RESTAURANT_ID,REVENUE,COSTS) values (26,13,5000,1000);